<?xml version="1.0" encoding="UTF-8"?>
<!-- Es un archivo de mapeo -->
<!DOCTYPE mapper
  PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
    "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.mx.dla.dda.contrato.condicionesLicense.daos.PlfRangoDAO">


	<insert id="insertarPlRango"
		parameterType="com.mx.dla.dda.contrato.condicionesLicense.dtos.PlfRangoDTO">
			insert into DDA_T_CONTRATO_PLF_RANGO  (ID_RANGO_PLF,ID_CONTRATO,DESDE,HASTA,MONTO) values (#{idSuscriptor}, #{idContrato},#{desde},#{hasta},#{monto})
	</insert>
	
	<delete id="borrarPlRango">
		delete DDA_T_CONTRATO_PLF_RANGO where ID_CONTRATO=#{idContrato}
	</delete>

	<resultMap id="rango"
		type="com.mx.dla.dda.contrato.condicionesLicense.dtos.PlfRangoDTO">
		<id property="idSuscriptor" column="ID_RANGO_PLF" />
		<result property="idContrato" column="ID_CONTRATO" />
		<result property="desde" column="DESDE" />
		<result property="hasta" column="HASTA" />
		<result property="monto" column="MONTO" />
	</resultMap>

	<select id="buscarPlRango" resultMap="rango"
		parameterType="long">
		select
			ID_RANGO_PLF,
			ID_CONTRATO,
			DESDE,
			HASTA,
			MONTO
		from
			DDA_T_CONTRATO_PLF_RANGO
		where
			ID_CONTRATO = #{idContrato}
		ORDER BY ID_RANGO_PLF ASC
	</select>

</mapper>
